Subject: bug#57447: 28.1.90; Can font-lock stop requesting fontification of invisible text?

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Aug 2022 11:21:11 -0400

>> > If the size is smaller than the visible portion of the buffer, it will
>> > cause repeated calls to fontification-functions, instead of just one
>> > call.  If fontification-functions do their job in approximately linear
>> > time, you shouldn't see any adverse effects, I think.  But if each
>> > call to fontification-functions incurs some one-time overhead that is
>> > relatively expensive, the result could be slower redisplay when the
>> > window is scrolled a lot.
>> This may be an issue in some scenarios.
>> I am wondering if something like font-lock-extend-region-functions may
>> be utilized to shrink the fontification boundaries.
> I don't know.  Maybe Stefan does.

The short answer is: no.
[ Tho I don't understand how the question relates to the text before
  it: reducing the size of a chunk wouldn't reduce the number of times
  fontification-functions is called.  ]

        Stefan